Last modified: 6 April 2009
Name: H5Sselect_all
Signature:
  herr_t `H5Sselect_all`( hid_t `dspace_id` )

Purpose:
  Selects an entire dataspace.

Description:
  `H5Sselect_all` selects the entire extent of the dataspace `dspace_id`.

  More specifically, `H5Sselect_all` sets the selection type to `H5S_SEL_ALL`, which specifies the entire dataspace anywhere it is applied.

Parameters:

hid_t `dspace_id` | IN: The identifier for the dataspace for which the selection is being made.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.

See Also:
  `H5Sget_select_type`

Fortran90 Interface: h5sselect_all_f

      SUBROUTINE h5sselect_all_f(dspace_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: dspace_id ! Dataspace identifier
        INTEGER, INTENT(OUT) :: hdferr          ! Error code
                                                ! 0 on success and -1 on failure
      END SUBROUTINE h5sselect_all_f